### org.jfree.layouting.modules.output.html

# Interface URLRewriter

Known Implementing Classes:
  FileSystemURLRewriter, SingleRepositoryURLRewriter

`public interface URLRewriter`

This service takes a generated content location and rewrites it into an absolute or relative URL.

Author:
  Thomas Morgner

  ## Method Summary

  `String`

  `rewrite(ContentEntity sourceDocument, ContentEntity dataEntity)`

## Method Details

### rewrite

    public String rewrite(ContentEntity sourceDocument,
                          ContentEntity dataEntity)
                throws URLRewriteException